<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RegionSetMemoryLimit Method
DatabaseEnvironment Class See Also Send Feedback

The amount of memory to be used by shared structures in the main environment region. These are structures other than mutexes and the page cache (memory pool).

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.14.0

# Syntax

C#

    public void RegionSetMemoryLimit(
    	uint GBytes,
    	uint Bytes
    )

Visual Basic (Declaration)

    Public Sub RegionSetMemoryLimit ( _
    	GBytes As UInteger, _
    	Bytes As UInteger _
    )

Visual C++

    public:
    void RegionSetMemoryLimit(
    	unsigned int GBytes,
    	unsigned int Bytes
    )

#### Parameters

GBytes
  Type: System..::.UInt32
  The number of gigabytes to allocate for the main memory region. The gigabytes allocated will be added to the bytes input.

Bytes
  Type: System..::.UInt32
  The number of gigabytes to allocate for the main memory region. The bytes allocated will be added to the gigabytes input.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace